import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotTruckWeighDouble/` + url, ...arg)

/**
 * 双次过磅记录表Api接口管理器
 *
 * @author xiang
 * @date  2023/10/08 17:05
 **/
export default {
	// 获取双次过磅记录表分页
	depotTruckWeighDoublePage(data) {
		return request('page', data, 'get')
	},
	// 获取双次过磅记录表列表
	depotTruckWeighDoubleList(data) {
		return request('list', data, 'get')
	},
	// 提交双次过磅记录表表单 edit为true时为编辑，默认为新增
	depotTruckWeighDoubleSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 提交双次过磅记录审批
	depotTruckWeighDoubleBankOpApprovalForm(data) {
		return request('bankOpApproval', data)
	},
	// 删除双次过磅记录表
	depotTruckWeighDoubleDelete(data) {
		return request('delete', data)
	},
	// 获取双次过磅记录表详情
	depotTruckWeighDoubleDetail(data) {
		return request('detail', data, 'get')
	}
}
